RK-J - Bug #3391

Issue because FE is not sending encoded URL
02/01/2024 09:33 AM - Ram Kordale

Status: Review Start date: 02/01/2024
Priority: Urgent Due date:

Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1-RK-J-1 Spent time: 0.00 hour
Description

https://edutestdev-240612.appspot.com/document/lifestyle-zestpast50.com-pl-2024-01-22-233316.755101-spl?documentURL=1123
5/prd/fat-Good-fats-%26-bad-fats-26.html does not load.
https://edutestdev-240612.appspot.com/document/lifestyle-zestpast50.com-pl-2024-01-22-233316.755101-spl?documentURL=1123
5/prd/reference.html is the TOC page

Shahzar says that for this request parameter sent to the server as documentUrl=11235/prd/fat-Good-fats-&-bad-fats-26.html. And
two different request parameter is seperated using the seperator &. So backend server is getting only
documentUrl=11235/prd/fat-Good-fats- and while this document is not found then it is trying to find the closest match in which it is
trying to access the index which is going out of bond for this lurl causing exception in the backend. Hence, no data is being sent to
the FE creating the issue.

History

#1 - 02/01/2024 09:38 AM - Md Shahzar

- Status changed from New to In Progress

#2 - 02/01/2024 10:55 AM - Md Shahzar
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#3 - 02/01/2024 10:59 AM - Md Shahzar
- Status changed from Resolved to Review

- Assignee changed from Md Shahzar to Venmuhilan B

#4 - 02/01/2024 11:35 AM - Venmuhilan B

- Assignee changed from Venmuhilan B to Ram Kordale
